## luxio 5

=== debian/changelog ===
luxio (5-1) unstable; urgency=low

  * New upstream version.
    - adds copyright information to files that were missing it
  * debian/copyright: Add copyright information for Debian packaging
    files.
  * debian/rules: Install binaries into /usr/bin, not /bin.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 11 Aug 2013 13:42:40 +0100

luxio (4-1) unstable; urgency=low

  * Initial packaging. (Closes: #706162)

 -- Lars Wirzenius <liw@liw.fi>  Sun, 30 Jun 2013 11:23:44 +0100
