=== debian/control ===
Source: luxio
Maintainer: Lars Wirzenius <liw@liw.fi>
Uploaders: Daniel Silverstone <dsilvers@debian.org>
Section: interpreters
Priority: optional
Standards-Version: 3.9.3
Build-Depends: liblua5.1-dev, lua5.1, liblua5.2-dev, lua5.2,
    debhelper (>= 9.20120909~), pkg-config

Package: lua-luxio0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Posix bindings for Lua
 Lightweight UNIX I/O and POSIX binding for Lua
 .
  * Reasonably good coverage of POSIX and BSD Sockets, including IPv6,
    and some GNU extensions.
  * Low-level.  You get the return values and the errno for the bound
    functions where possible.  Others take a table to fill in, or
    may return tables.
  * High-level wrapper library providing nice IO access and to misc.
    utility functions.  Generates useful errors in assert()able form,
    and provides meaningful __tostring metamethods to aid debugging.
  * A high-level poll()-based event dispatch library.
  * Sub-process handling library (read/write io.popen with job control).
  * A prototype POSIX Message Queue-based IPC scheme that can serialise
    most simple Lua values.  (No closures, userdata, etc)
Homepage: http://www.rjek.com/software.html
