## luxio 7

=== debian/changelog ===
luxio (7-1) unstable; urgency=low

  * New upstream version.
  * debian/control: bumped Standards-Version to 3.9.5. No other
    changes required for this.

 -- Lars Wirzenius <liw@liw.fi>  Thu, 14 Nov 2013 14:18:33 +0000
