=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Daniel Silverstone <dsilvers@debian.org>
 Section: interpreters
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Build-Depends: liblua5.1-dev, lua5.1, liblua5.2-dev, lua5.2,
     debhelper (>= 9.20120909~), pkg-config
