=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	$(MAKE) \
		CFLAGS="$$(dpkg-buildflags --get CPPFLAGS) $$(dpkg-buildflags --get CFLAGS) -O2 -Wall" \
		LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)"

override_dh_auto_install:
	PREFIX=/usr dh_auto_install

override_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_test:
	echo "No test suite."
