## luxio 8

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,8 @@
 # This isn't nice.  Find a nice way.
 HOST_OS := $(shell uname -s)
 
-ifeq ($(HOST_OS),Linux)
+ifneq ($(findstring $(HOST_OS),Linux NetBSD GNU/kFreeBSD),)
+  # These operating systems require a seperate Real Time library
   EXTRA_LIBS := -lrt
 else
   EXTRA_LIBS :=
@@ -134,10 +135,10 @@
 	$(INSTALL) luxio-5.1 $(DESTDIR)$(PREFIX)/bin/luxio-5.1
 
 luxio-5.1.so: luxio-5.1.o
-	$(CC) $(LDFLAGS) -shared -o luxio-5.1.so $^ $(LUA51_LIB) $(EXTRA_LIBS)
+	$(CC) $(LDFLAGS) -shared $(EXTRA_LIBS) -o luxio-5.1.so $^ $(LUA51_LIB)
 
 luxio-5.1: lua-5.1.c luxio-5.1.o
-	$(CC) -o luxio-5.1 $(CFLAGS) $(LUA51_INC) $(LDFLAGS) lua-5.1.c luxio-5.1.o $(LUA51_LIB) $(EXTRA_LIBS)
+	$(CC) -o luxio-5.1 $(CFLAGS) $(LUA51_INC) $(LDFLAGS) $(EXTRA_LIBS) lua-5.1.c luxio-5.1.o $(LUA51_LIB)
 
 lua-5.2: luxio-5.2.so luxio-5.2
 	ln -s -f luxio-5.2.so luxio.so
@@ -151,10 +152,10 @@
 	$(INSTALL) luxio-5.2 $(DESTDIR)$(PREFIX)/bin/luxio-5.2
 
 luxio-5.2.so: luxio-5.2.o
-	$(CC) $(LDFLAGS) -shared -o luxio-5.2.so $^ $(LUA52_LIB) $(EXTRA_LIBS)
+	$(CC) $(LDFLAGS) -shared $(EXTRA_LIBS) -o luxio-5.2.so $^ $(LUA52_LIB)
 
 luxio-5.2: lua-5.2.c luxio-5.2.o
-	$(CC) -o luxio-5.2 $(CFLAGS) $(LDFLAGS) $(LUA52_INC) lua-5.2.c luxio-5.2.o $(LUA52_LIB) $(EXTRA_LIBS)
+	$(CC) -o luxio-5.2 $(CFLAGS) $(LDFLAGS) $(EXTRA_LIBS) $(LUA52_INC) lua-5.2.c luxio-5.2.o $(LUA52_LIB)
 
 ###
