=== debian/changelog ===
luxio (8-1ubuntu1) vivid; urgency=medium

  * debian/patches/linking-order.patch: Change linking order to fix FTBFS with
    ld --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 06 Dec 2014 01:19:46 -0500

luxio (8-1) unstable; urgency=low

  * New upstream version.
  * Do not install binaries.

 -- Lars Wirzenius <liw@liw.fi>  Fri, 31 Jan 2014 16:10:00 +0000
