=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: luxio
-Maintainer: Lars Wirzenius <liw@liw.fi>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lars Wirzenius <liw@liw.fi>
 Uploaders: Daniel Silverstone <dsilvers@debian.org>
 Section: interpreters
 Priority: optional
