=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 override_dh_auto_install:
 	PREFIX=/usr dh_auto_install
+	rm -r debian/lua-luxio0/usr/bin
 
 override_dh_auto_clean:
 	$(MAKE) clean
