## luxio 12

=== Makefile ===
--- 
+++ 
@@ -118,9 +118,9 @@
 
 
 clean:
-	$(RM) *.so *.o luxio_constants.h luxio-5.1 luxio-5.2
+	$(RM) *.so *.o luxio_constants.inc luxio-5.1 luxio-5.2
 
-luxio_constants.h: luxio_constants.h.in const-proc.lua
+luxio_constants.inc: luxio_constants.inc.in const-proc.lua
 	$(LUA_REPL) ./const-proc.lua < $^ > $@
 
 lua-5.1: luxio-5.1.so luxio-5.1
@@ -159,8 +159,8 @@
 
 ###
 
-luxio-5.1.o: luxio.c luxio_constants.h 
+luxio-5.1.o: luxio.c luxio_constants.inc
 	$(CC) $(CFLAGS) -fPIC $(LUA51_INC) -c $< -o $@
 
-luxio-5.2.o: luxio.c luxio_constants.h
+luxio-5.2.o: luxio.c luxio_constants.inc
 	$(CC) $(CFLAGS) -fPIC $(LUA52_INC) -c $< -o $@
