=== debian/changelog ===
luxio (12-1) unstable; urgency=medium

  * New upstream release
  * Include lua:Versions and lua:Provides in control file

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Sat, 05 Nov 2016 16:38:49 +0000

luxio (11-1) unstable; urgency=medium

  * New upstream version
  * Add a missing comma to control which wasn't highlighted before.
  * Set Multi-Arch fields in lua-luxio and lua-luxio-doc
  * Added watch file for uscan too

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Wed, 28 Sep 2016 09:25:15 +0100

luxio (10-1) unstable; urgency=medium

  * New upstream version.
  * Confirmed that ubuntu builds are good now with dh-lua, thus not
    needing a Makefile change.  (Closes: #773090)
  * Used `--date $(SOURCE_DATE_EPOCH)` when invoking ldoc to help
    with reproducibility
  * Updated standards version and added ${misc:Depends} to everything
    just in case.
  * Moved Homepage to Source stanza in debian/control
  * Update debian/compat to 9 in line with Jessie
  * Added use of getconf LFS_{C,LD}FLAGS just in case.

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Tue, 27 Sep 2016 15:44:53 +0100

luxio (9-1) unstable; urgency=medium

  * New upstream version.
  * Adopted package, thanks to Lars Wirzenius for his excellent
    stewardship up to now.
  * Converted packaging to use dh-lua, adding lua 5.3 compatibility
  * Fixed up missing copyright information

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Fri, 23 Sep 2016 19:05:19 +0100

luxio (8-2) UNRELEASED; urgency=low

  * Added Rob Kendrick as an uploader.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 08 Feb 2014 21:31:17 +0000
