=== debian/control ===
--- 
+++ 
@@ -1,16 +1,31 @@
 Source: luxio
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lars Wirzenius <liw@liw.fi>
-Uploaders: Daniel Silverstone <dsilvers@debian.org>
+Maintainer: Daniel Silverstone <dsilvers@digital-scurf.org>
+Uploaders: Rob Kendrick <rjek@rjek.com>
 Section: interpreters
 Priority: optional
-Standards-Version: 3.9.5
-Build-Depends: liblua5.1-dev, lua5.1, liblua5.2-dev, lua5.2,
-    debhelper (>= 9.20120909~), pkg-config
+Standards-Version: 3.9.8
+Build-Depends: dh-lua, debhelper (>= 9.20120909~), lua-ldoc, lua-discount
+Homepage: https://git.gitano.org.uk/luxio.git/
 
 Package: lua-luxio0
+Architecture: all
+Depends: lua-luxio, ${misc:Depends}
+Section: oldlibs
+Priority: extra
+Description: Posix bindings for Lua (transitional package)
+ Lightweight UNIX I/O and POSIX binding for Lua
+ .
+ This is a transitional package as the full content has been moved to the
+ lua-luxio package.
+
+Package: lua-luxio
+Provides: lua-luxio0, ${lua:Provides}
+Breaks: lua-luxio0 (<<9 )
+Replaces: lua-luxio0 (<< 9)
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+XB-Lua-Versions: ${lua:Versions}
 Description: Posix bindings for Lua
  Lightweight UNIX I/O and POSIX binding for Lua
  .
@@ -26,4 +41,26 @@
   * Sub-process handling library (read/write io.popen with job control).
   * A prototype POSIX Message Queue-based IPC scheme that can serialise
     most simple Lua values.  (No closures, userdata, etc)
-Homepage: http://www.rjek.com/software.html
+
+Package: lua-luxio-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: Documentation for lua-luxio
+ Lightweight UNIX I/O and POSIX binding for Lua
+ .
+  * Reasonably good coverage of POSIX and BSD Sockets, including IPv6,
+    and some GNU extensions.
+  * Low-level.  You get the return values and the errno for the bound
+    functions where possible.  Others take a table to fill in, or
+    may return tables.
+  * High-level wrapper library providing nice IO access and to misc.
+    utility functions.  Generates useful errors in assert()able form,
+    and provides meaningful __tostring metamethods to aid debugging.
+  * A high-level poll()-based event dispatch library.
+  * Sub-process handling library (read/write io.popen with job control).
+  * A prototype POSIX Message Queue-based IPC scheme that can serialise
+    most simple Lua values.  (No closures, userdata, etc)
+ .
+ This package contains the documentation on how to use the Lua Luxio library.
