=== debian/watch ===
version=3
https://git.gitano.org.uk/luxio.git /luxio\.git/snapshot/luxio-(.+)\.tar.bz2
